package com.ozs.plan.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.base.domain.BaseExpert;
import com.ozs.plan.doman.ProvisionalPlan;
import com.ozs.plan.doman.vo.requestVo.ProvisionalPlanVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProvisionalPlanMapper extends BaseMapper<ProvisionalPlan> {
    int deleteProvisionalPlanById(@Param("planPracticalId") Long planPracticalId);

    int updateProvisionalPlanById(ProvisionalPlanVo provisionalPlan);

    List<ProvisionalPlan> selectProjectName(String projectName);

    int commitProvisionalPlan(@Param("planPracticalId") Long planPracticalId);

    ProvisionalPlan seletById(@Param("planPracticalId") Long planPracticalId);

    List<ProvisionalPlan> selectProvisionalPlan(ProvisionalPlanVo provisionalPlanVo);

    List<ProvisionalPlan> selectProvisionalPlanAudit(ProvisionalPlanVo provisionalPlanVo);

    int review(ProvisionalPlanVo vo);

    /**
     * 通过年度ID，查询季度、临时计划详情
     *
     * @param planYearId
     * @return
     */
    ProvisionalPlan selectProvisionalPlanByYearId(@Param("planYearId") Integer planYearId);

    List<ProvisionalPlan> query(ProvisionalPlanVo vo);
}
